package cn.com.countrygarden.bi.main.service.districtReport;

import cn.com.countrygarden.bi.main.core.Result;
import cn.com.countrygarden.bi.main.dto.districtReport.RdPendingBuildingProjectDTO;
import cn.com.countrygarden.bi.main.model.AccessToken;
import cn.com.countrygarden.bi.main.model.districtReport.RdPendingBuildingProject;
import org.apache.poi.hssf.usermodel.HSSFWorkbook;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;
import java.io.IOException;

/**
 * 待收楼项目-项目交付计划-业务逻辑层
 *
 * @author 吕伟峰
 * @email www.justintoforest@gamail.com
 * @url 
 * @date 2019-08-14
 */
public interface RdPendingBuildingProjectService {

    Result queryPageList(RdPendingBuildingProjectDTO rdPendingBuildingProjectDTO, int page, int size,AccessToken accessToken);

    Result queryById(Integer id);

    Result buildingProjectAddone(String regionCode,String districtCode,String projectName,AccessToken accessToken);

    Result add(RdPendingBuildingProject rdPendingBuildingProject, AccessToken accessToken);

    Result edit(RdPendingBuildingProject rdPendingBuildingProject, AccessToken accessToken);

    Result del(Integer id,AccessToken accessToken,String updateName);

    Result delpiliang(String ids,AccessToken accessToken,String updateName);

    Result excelToxls(Integer radio, MultipartFile multipartFile, String fileName, String usname, String userCode, AccessToken accessToken);

    HSSFWorkbook exportAllRdPendingBuildingProject(AccessToken accessToken, HttpServletResponse response) throws IOException;
}